<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<c:set var="resourceReadOnly" value="${currentResource.moduleParams.readOnly}"/>
<template:include view="hidden.header"/>
<c:set var="isEmpty" value="true"/>
<c:if test="${moduleMap.currentList.size>0}">
    <table class="table table-hover" summary="User Collections">
        <thead>
            <tr>
                <th scope="col" class="muted span9">
                    <fmt:message key="docnt_userCollections.name"/>
                </th>
                <th scope="col" class="muted span3">
                    <fmt:message key="docnt_userCollections.size"/>
                </th>
            </tr>
        </thead>
        <tbody>
            <c:forEach items="${moduleMap.currentList}" var="subchild" begin="${moduleMap.begin}" end="${moduleMap.end}">
                <tr>
                    <template:module node="${subchild}" view="items" editable="${moduleMap.editable && !resourceReadOnly}"/>
                    <c:set var="isEmpty" value="false"/>
                </tr>
            </c:forEach>
        </tbody>
    </table>
    <div class="clearfix"></div>
</div>
</c:if>
<c:if test="${isEmpty}">
    <em class="muted"><fmt:message key="docnt_userCollections.noCollection" /></em>
</c:if>

<template:include view="hidden.footer"/>
