<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="ui" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="propertyDefinition" type="org.jahia.services.content.nodetypes.ExtendedPropertyDefinition"--%>
<%--@elvariable id="type" type="org.jahia.services.content.nodetypes.ExtendedNodeType"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<template:addResources type="css" resources="files.css"/>
<template:addResources type="javascript" resources="jquery.min.js" />
<c:url var="urlValue" value="${url.base}${functions:escapePath(currentNode.path)}.workspace-document-details.html"/>
<template:include view="faiconspan" templateType="html"/>&nbsp;<a href="${urlValue}">${fn:escapeXml(currentNode.name)}</a>
<small><fmt:message key="wsf.label.lastModified"/>:&nbsp;<span class="momentToFormat" data-moment-display-type="fromNow" data-moment-locale="${renderContext.mainResourceLocale}" data-moment="${currentNode.properties['jcr:lastModified'].string}"></span></small>
<jcr:jqom var="result" statement="select * from [jnt:task] where ischildnode('${functions:sqlencode(currentNode.path)}/tasks') and [type] = 'releaseRequest' and [assigneeUserKey] = '${currentUser.name}'"/>
<c:if test="${result.nodes.size > 0}">
<span class="release-requested"><fmt:message key="jnt_file.docspace.releaseRequestBy" />&nbsp;<c:forEach items="${result.nodes}" var="releaseRequest" varStatus="status">
    ${releaseRequest.properties['jcr:createdBy'].string}<c:if test="${not status.last}">, </c:if>
</c:forEach></span>

<c:url var="releaseUrl" value="${url.base}${functions:escapePath(currentNode.path)}.release.do" />
&nbsp;<span class="release-Requested-action" onclick="$.post('${releaseUrl}', function() {location.reload();}); return false;"><fmt:message key="wsf.label.unlockDocument" /></span>
</c:if>